```
Championship Standings after week 7:

200 -- Michael Holler (7 races)
190 -- John Stuplich (7 races)
153 -- John Dinkel (6 races)
104 -- Bryan Elliott (7 races)
99 -- Jordan Ward (4 races)
79 -- Brandon Dean2 (6 races)
72 -- Deryk Morrish (6 races)
69 -- David Paliwoda (6 races)
61 -- Christian S. Ost (3 races)
60 -- Cristian Pérez (3 races)
48 -- Forrest Bullen (3 races)
41 -- Harry Weir (5 races)
31 -- Isaac Allen2 (4 races)
23 -- Ricky Montgomery (6 races)
16 -- Johan Von Hacht (2 races)
8 -- Jeremy Driesler (1 races)
4 -- Chris Michaels (1 races)
4 -- Andrew Cave (1 races)
2 -- Elijah Trepper (1 races)
1 -- Rocco Romeo (1 races)
0 -- Jason Lauborough (1 races)
0 -- Vincent Sprenger (1 races)
```